shishi_dr(3)

NAME
shishi_dr - API function

SYNOPSIS
#include <shishi.h>

int shishi_dr(Shishi * handle, Shishi_key * key, const char * prfconstant, size_t prfconstantlen, char * derivedrandom, size_t derivedrandomlen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_key * key
    input array with cryptographic key to use.

const char * prfconstant
    input array with the constant string.

size_t prfconstantlen
    size of input array with the constant string.

char * derivedrandom
    output array with derived random data.

size_t derivedrandomlen
    size of output array with derived random data.

DESCRIPTION
Derive "random" data from a key and a constant thusly: DR(KEY, PRFCONSTANT) = TRUNCATE(DERIVEDRANDOMLEN, SHISHI_ENCRYPT(KEY, PRFCONSTANT)).

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.